Skip to navigation

Post agent hold audio

Sets the custom hold audio played on loop to callers waiting in the agent's concurrency wait queue. Replaces any previously uploaded clip.

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing a file.
hold_audio_filefileRequired
An MP3 or WAV file played on loop to callers waiting in the agent's concurrency wait queue. Maximum size 40 MB, maximum duration 180 seconds.

Response

Successful Response
agent_idstring
hold_audioobject

Custom hold audio played on loop to callers waiting in the agent’s queue.

Set by uploading a file through the agent hold-audio endpoint. Values sent in agent create or update requests are ignored.

Errors

422
Unprocessable Entity Error